Loading...
Searching...
No Matches
gtsam::ValuesKeyDoesNotExist Class Reference
Inheritance diagram for gtsam::ValuesKeyDoesNotExist:

## Public Member Functions

| ValuesKeyDoesNotExist (const char *operation, Key key) noexcept
| Construct with the key that does not exist in the values.
Key | key () const noexcept
| The key that was attempted to be accessed that does not exist.
GTSAM_EXPORT const char * | what () const noexcept override
| The message to be displayed to the user.

## Protected Attributes

const char * | operation_
| The operation that attempted to access the key.
const Key | key_
| The key that does not exist.

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/Values.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/Values.cpp